Bug 369621 - wxGTK 2.8.6 is requested by filezilla 3.0.3
wxGTK 2.8.6 is requested by filezilla 3.0.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wxGTK (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 430980
  Show dependency treegraph
 
Reported: 2007-11-07 09:36 EST by Nicolas Chauvet (kwizart)
Modified: 2008-02-21 16:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 16:48:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-11-07 09:36:13 EST
Description of problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=229303
filezilla 3.0.3 is failing with :
checking for wxWidgets version >= 2.8.6... no (version 2.8.4 is not new enough)

Version-Release number of selected component (if applicable): devel F-8 F-7


Additional info: update for filezilla is planned from F-7 to devel...
(but I can probably stay with filezilla 3.0.2.1 as there is no "security" fixes )
from the filezilla dev: <codesquid>" the only problem is a nullpointer
dereference if using SFTP on nonstandard servers sending filenames in a
different encoding than UTF-8"
I could backport it (eventually)


The same update is needed for compat-wxGTK26 (rebuild failed with vlc on F-7
whereas it was working with F-8... Should I submit a separate bug report ?)
Comment 1 Matthew Miller 2007-11-07 11:41:15 EST
Will do.

And yes, please file a separate bug report for the compat-wxGTK26 packages.
Those have a different maintainer.
Comment 2 Nicolas Chauvet (kwizart) 2007-11-09 20:11:24 EST
bug filled for compat... and patches is backported for filezilla from 3.0.3 to
3.0.2.1 (F8 and F7), so take your time (priority is low...)
Comment 3 Nicolas Chauvet (kwizart) 2008-01-31 02:37:26 EST
Anychances to see wxGTK 2.8.7 into rawhide ?
I cannot build a decent version of FileZilla into EPEL for that reason too...
(I will probably do when it will be tested enought with the Fedora's the version.)
Comment 4 Matthew Miller 2008-01-31 06:59:13 EST
Yes -- I'm working on it.
Comment 5 Sam Lesher 2008-02-08 15:24:45 EST
FYI - the current Filezilla release is now 3.0.6.   The version in the
repository has a bug that is corrected in 3.0.6 - (setting max-transfers value
on a per connection basis does not work properly).
Comment 6 Nicolas Chauvet (kwizart) 2008-02-08 15:35:17 EST
@Matthew
I will consider backporting this patch (and others) into filezilla 3.0.2.1 in
F-7  and F-8. Unless you think we can have a wxGTK updated...

@Sam
you should have used #430980 - shouldn't matter anyway.
Comment 7 Matthew Miller 2008-02-08 15:52:40 EST
A wxGTK update really is in the works....
Comment 8 Nicolas Chauvet (kwizart) 2008-02-20 14:20:18 EST
Ping ?
@Matt what is preventing from having wxGTK 2.8.7 in rawhide ?
We are are two weeks before feature freeze !
I have to update filezilla to 3.0.7.1 which needs at least wxGTK 2.8.6
Comment 9 Matthew Miller 2008-02-20 17:00:45 EST
Shocking I know, but it's actually building in koji *right now*. If people could
further indulge my slowness (sorry!) by rewarding me with really speedy testing,
that'd be awesome. :)
Comment 10 Matthew Miller 2008-02-21 16:48:32 EST
Okay, let me know what breaks. :)

Note You need to log in before you can comment on or make changes to this bug.